# Gimp.Image.import_paths_from_file

    @accepts(Gimp.Image, Gio.File, bool, bool, [Gimp.Path])
    @returns(bool)
    def import_paths_from_file(self, file, merge, scale, paths):
        # Python wrapper for gimp_image_import_paths_from_file()

Import paths from an SVG file.

This procedure imports paths from an SVG file. SVG elements other than paths and basic shapes are ignored.

Since 2.4

self

  The image.

file

  The SVG file to import.

merge

  Merge paths into a single path object.

scale

  Scale the SVG to image dimensions.

paths

  The list of newly created paths.

Returns